[tool.poetry]
name = "algorytmy-uczenia-maszynowego"
version = "0.1.0"
description = ""
authors = ["Marcin Dorożyński <you@example.com>"]
readme = "README.md"
packages = [
    { include = "XOR", from = "src" },
]


[tool.poetry.scripts]
generate_dataset = "XOR.generate_dataset:main"
teach_model = "XOR.teach_model:main"
evaluate_model = "XOR.evaluate_model:main"

[tool.poetry.dependencies]
python = "^3.11"
numpy = "^1.26.4"
typer = "^0.9.0"
pathlib = "^1.0.1"
keras = "^3.1.1"
pyyaml = "^6.0.1"
h5py = "^3.10.0"
pydantic = "^2.6.4"
matplotlib = "^3.8.3"
pandas = "^2.2.2"
tensorflow = "^2.16.1"
scikit-learn = "^1.4.2"


[tool.poetry.group.test.dependencies]
black = "^24.2.0"
isort = "^5.13.2"
flake8 = "^7.0.0"
mypy = "^1.9.0"
pre-commit = "^3.6.2"
pre-commit-hooks = "^4.5.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
profile = "black"
